#ifndef ERK_BMPGEN_H
#define ERK_BMPGEN_H

#include "erkTypes.h"

BITMAP* erkGenNoise(gbInt dwColor1, gbInt dwColor2, gbInt dwWidth, gbInt dwHeight);
BITMAP* erkGenSmooth(BITMAP* pIn);
BITMAP* erkGenClone(BITMAP* pIn);
BITMAP* erkGenLightOn(BITMAP* pIn);
BITMAP* erkGenLightOff(BITMAP* pIn, gbBool bNorth, gbBool bEast, gbBool bSouth, gbBool bWest);

#endif // ERK_BMPGEN_H
